/****************************************************************************
**
** Copyright (C) 2013 Digia Plc
** All rights reserved.
** For any questions to Digia, please use contact form at http://qt.digia.com
**
** This file is part of the Qt Enterprise Charts Add-on.
**
** $QT_BEGIN_LICENSE$
** Licensees holding valid Qt Enterprise licenses may use this file in
** accordance with the Qt Enterprise License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.
**
** If you have questions regarding the use of this file, please use
** contact form at http://qt.digia.com
** $QT_END_LICENSE$
**
****************************************************************************/

//  W A R N I N G
//  -------------
//
// This file is not part of the Qt Enterprise Chart API.  It exists purely as an
// implementation detail.  This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.

#ifndef CHARTCONFIG_H
#define CHARTCONFIG_H

#include "qchartglobal.h"

#ifdef Q_CC_MSVC
// There is a problem with jom.exe currently. It does not seem to understand QMAKE_EXTRA_TARGETS properly.
// This is the case at least with shadow builds.
// http://qt-project.org/wiki/jom
#undef DEVELOPMENT_BUILD
#endif

#ifndef DEVELOPMENT_BUILD
#ifdef Q_OS_ANDROID
// Android builds do not have __DATE__
const char *buildTime =  __TIME__;
#else
const char *buildTime =  __TIME__" "__DATE__;
#endif
const char *gitHead = "unknown";
#else
#include "qchartversion_p.h"
#endif

QTCOMMERCIALCHART_BEGIN_NAMESPACE

class ChartConfig
{
private:
    ChartConfig() {
#if defined(DEVELOPMENT_BUILD) && !defined(QT_NO_DEBUG)
        qDebug() << "buildTime" << buildTime;
        qDebug() << "gitHead" << gitHead;
#endif
        m_instance = this;
    }
public:
    static ChartConfig *instance() {
        if (!m_instance) {
            m_instance = new ChartConfig();
        }
        return m_instance;
    }

    QString compilationTime() {
        return QString(buildTime);
    }

    QString compilationHead() {
        return QString(gitHead);
    }

private:
    static ChartConfig *m_instance;
};


ChartConfig *ChartConfig::m_instance = 0;

QTCOMMERCIALCHART_END_NAMESPACE

#endif
